<#comment><!--实体界面行为--></#comment>
    /**
     * 注册视图所有实体界面行为
     *
     * @param {*} [opts={}]
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.regUIActions = function (opts) {
        if (opts === void 0) { opts = {}; }
        <#list view.getPSUIActions() as uiaction>

        var uiaction_${uiaction_index} = { type: '${uiaction.getUIActionType()}', tag: '${uiaction.getUIActionTag()}'<#if (uiaction.getActionTarget()!="")>, actiontarget: '${uiaction.getActionTarget()}'</#if>
        <#if uiaction.getUIActionType() == 'DEUIACTION'>
        <#if uiaction.getUIActionMode()!="SYS">
                , actionmode: '${uiaction.getUIActionMode()}', reload: <#if uiaction.isReloadData()>true<#else>false</#if>,colseeditview:<#if uiaction.isCloseEditView()>true<#else>false</#if>
        <#if uiaction.getUIActionMode()=="BACKEND">
                , timeout: ${uiaction.getTimeout()?c}<#if uiaction.getConfirmMsg()??>, confirmmsg: '${uiaction.getConfirmMsg()}'</#if>
        </#if>
        <#comment><!--开始：向导界面--></#comment>
        <#if uiaction.getFrontProcessType()=="WIZARD">
                        , fronttype: '${uiaction.frontProcessType}'
        <#if uiaction.getFrontPSAppView(view)??>
        <#assign frontview=uiaction.getFrontPSAppView(view)>, frontview: { viewname: '${filename('${frontview.codeName}')}', 
                                                                            routepath: '${frontview.getPSAppModule().codeName?lower_case}_${frontview.codeName?lower_case}', 
                                                                            height: ${frontview.getHeight()?c}, 
                                                                            width: ${frontview.getWidth()?c}, 
                                                                            modalviewname: '${filename('${frontview.codeName}')}_modalview', 
                                                                            viewurl: '/pages/${filename('${frontview.getPSAppModule().codeName}')}/${filename('${frontview.codeName}')}/${filename('${frontview.codeName}')}.html#/${filename('${frontview.codeName}')}', 
                                                                            title: '${frontview.title}', openMode: '${frontview.openMode}'<#if frontview.isRedirectView()>, redirectview: true, backendurl: '/${app.getAppFolder()}/${frontview.getPSAppModule().codeName}/${frontview.codeName}.do'</#if> 
                                                                        }
        </#if>                  
        </#if>
        <#comment><!--结束：向导界面--></#comment>
        <#comment><!--开始：顶级视图--></#comment>
        <#if uiaction.getFrontProcessType()=="TOP">
                        , fronttype: '${uiaction.frontProcessType}'
        <#if uiaction.getFrontPSAppView(view)??>
        <#assign frontview=uiaction.getFrontPSAppView(view)>, frontview: { viewname: '${filename('${frontview.codeName}')}',
                                                                            routepath: '${frontview.getPSAppModule().codeName?lower_case}_${frontview.codeName?lower_case}', 
                                                                            height: ${frontview.getHeight()?c}, 
                                                                            width: ${frontview.getWidth()?c}, 
																			modalviewname: '${filename('${frontview.codeName}')}_modalview', 
                                                                            viewurl: '/pages/${filename('${frontview.getPSAppModule().codeName}')}/${filename('${frontview.codeName}')}/${filename('${frontview.codeName}')}.html#/${filename('${frontview.codeName}')}', 
                                                                            title: '${frontview.title}', openMode: '${frontview.openMode}'<#if frontview.isRedirectView()>, redirectview: true, backendurl: '/${app.getAppFolder()}/${frontview.getPSAppModule().codeName}/${frontview.codeName}.do'</#if> 
                                                                        }
        </#if>                  
        </#if>
        <#comment><!--结束：顶级视图--></#comment>
        <#comment><!--开始：打开网页--></#comment>
        <#if uiaction.getFrontProcessType()=="OPENHTMLPAGE">
                        , fronttype: '${uiaction.frontProcessType}', htmlpageurl: '${uiaction.getHtmlPageUrl()}'
        </#if>
        <#comment><!--结束：打开网页--></#comment>
        </#if>
        </#if>
        <#if uiaction.getUIActionType() == 'WFUIACTION'>
                        , actionmode: '${uiaction.getUIActionMode()}'
        <#if uiaction.getUIActionMode()=="WFBACKEND">
                        , timeout: ${uiaction.getTimeout()?c}<#if uiaction.getConfirmMsg()??>, confirmmsg: '${uiaction.getConfirmMsg()}'</#if>
        </#if>
        <#comment><!--开始：向导界面--></#comment>
        <#if uiaction.getFrontProcessType()=="WIZARD">
                        , fronttype: '${uiaction.frontProcessType}'
        <#if uiaction.getFrontPSAppView(view)??>
        <#assign frontview=uiaction.getFrontPSAppView(view)>, frontview: { viewname: '${filename('${frontview.codeName}')}', 
                                                                            routepath: '${frontview.getPSAppModule().codeName?lower_case}_${frontview.codeName?lower_case}', 
                                                                            height: ${frontview.getHeight()?c}, 
                                                                            width: ${frontview.getWidth()?c}, 
                                                                            modalviewname: '${filename('${frontview.codeName}')}_modalview', 
                                                                            viewurl: '/pages/${filename('${frontview.getPSAppModule().codeName}')}/${filename('${frontview.codeName}')}/${filename('${frontview.codeName}')}.html#/${filename('${frontview.codeName}')}', 
                                                                            viewParam: { srfwfiatag: '${uiaction.getUIActionTag()}', srfwfstep: '${view.getWFStepValue()}' }, title: '${frontview.title}', openMode:'${frontview.openMode}' }
        </#if>                  
        </#if>
        <#comment><!--结束：向导界面--></#comment>
        <#comment><!--开始：顶级视图--></#comment>
        <#if uiaction.getFrontProcessType()=="TOP">
                        , fronttype: '${uiaction.frontProcessType}'
        <#if uiaction.getFrontPSAppView(view)??>
        <#assign frontview=uiaction.getFrontPSAppView(view)>, frontview: { viewname: '${filename('${frontview.codeName}')}',
                                                                            routepath: '${frontview.getPSAppModule().codeName?lower_case}_${frontview.codeName?lower_case}', 
                                                                            height: ${frontview.getHeight()?c}, 
                                                                            width: ${frontview.getWidth()?c}, 
                                                                            modalviewname: '${filename('${frontview.codeName}')}_modalview', 
                                                                            viewurl: '/pages/${filename('${frontview.getPSAppModule().codeName}')}/${filename('${frontview.codeName}')}/${filename('${frontview.codeName}')}.html#/${filename('${frontview.codeName}')}', 
                                                                            title: '${frontview.title}', openMode: '${frontview.openMode}'<#if frontview.isRedirectView()>, redirectview: true, backendurl: '/${app.getAppFolder()}/${frontview.getPSAppModule().codeName}/${frontview.codeName}.do'</#if> 
                                                                        }
        </#if>                  
        </#if>
        <#comment><!--结束：顶级视图--></#comment>
        <#comment><!--开始：打开网页--></#comment>
        <#if uiaction.getFrontProcessType()=="OPENHTMLPAGE">
                        , fronttype: '${uiaction.frontProcessType}', htmlpageurl: '${uiaction.getHtmlPageUrl()}'
        </#if>
        <#comment><!--结束：打开网页--></#comment>
        </#if>  , actionparams: { valueitem: '${uiaction.getValueItem()}', paramitem: '${uiaction.getParamItem()}', textitem: '${uiaction.getTextItem()}', paramjo: <#if uiaction.getUIActionParamJO()??>${uiaction.getUIActionParamJO().toString()}<#else>{ }</#if> }   };
        _super.prototype.regUIAction.call(this, uiaction_${uiaction_index});
        </#list>
        _super.prototype.regUIActions.call(this);
    }