/**
 * 重置登录信息
 * 
 */
function loginReset() {
    document.getElementById('userName').value = ''
    document.getElementById('pwd').value = ''
    document.getElementById('request-answer').innerHTML = ''
    document.getElementById('request-answer').classList.remove('has-errorinfo');
}

/**
 * 登陆
 * @returns
 */
function loginAction() {
	var loginname = document.getElementById('userName').value;
	if (!loginname || loginname == '') {
        document.getElementById('request-answer').classList.add('has-errorinfo');
        document.getElementById('request-answer').innerHTML = '登陆名为空';
        return;
    }
	var pwd = document.getElementById('pwd').value;
    if (!pwd || pwd == '') {
        document.getElementById('request-answer').classList.add('has-errorinfo');
        document.getElementById('request-answer').innerHTML = '密码为空';
        return;
    }
    var params = {};
    params.loginname = loginname;
    params.pwd = pwd;
    //清空以前提示信息
    document.getElementById('request-answer').innerHTML = '';
    document.getElementById('request-answer').classList.remove('has-errorinfo');
    
    ajaxPost('/MBDevSys/vue2/ibizutil/login.do', params, function(result){
		if (result.success) {
            var url = '/MBDevSys/vue2/index.html';
            var winUrl = window.location.href;
            var pos = winUrl.indexOf('RU=');
            if (pos && pos > 0) {
                url = decodeURIComponent(winUrl.substring(pos + 3));
            }

            window.location = url;
        } else {
        	document.getElementById('request-answer').classList.add('has-errorinfo');
            document.getElementById('request-answer').innerHTML = result.errorMessage;
        }
	}, function(){
        document.getElementById('request-answer').classList.add('has-errorinfo');
        document.getElementById('request-answer').innerHTML = '登录异常';
	});
}
/**
 * 初始化
 * @returns
 */
function initSystem() {
	ajaxPost('/MBDevSys/vue2/ibizutil/initsystemenv.do', {}, function(result){
		if (result.success) {
			if (result.info == '') {
                result.info = '系统初始化成功！'
            }
            document.getElementById('sysinit_successinfo').innerHTML = result.info;
            document.getElementsByClassName("popo1")[0].style.display = '';
		} else {
            if (result.info == '') {
                result.info = '初始化系统失败！'
            }
            document.getElementById('sysinit_errorinfo').innerHTML = result.info;
            document.getElementsByClassName("popo2")[0].style.display = '';
        }
	}, function(){
		
	});
}
/**
 * 关闭模态框
 * @param num
 * @returns
 */
function closeModal(num) {
	switch(num) {
	case 1: 
		document.getElementsByClassName("popo1")[0].style.display = 'none';
		break;
	case 2: 
		document.getElementsByClassName("popo2")[0].style.display = 'none';
		break;
	}
}
/**
 * 请求
 * @param url
 * @param param
 * @param success
 * @param error
 * @returns
 */
function ajaxPost (url, param, success, error) {
	var httpRequest = new XMLHttpRequest();
	httpRequest.open('POST', url, true);
	httpRequest.setRequestHeader("Content-type","application/x-www-form-urlencoded;charset=UTF-8");
	httpRequest.send(getPostParam(param));
	httpRequest.onreadystatechange = function() {
		if (httpRequest.readyState == 4) {
			if(httpRequest.status == 200) { //验证请求是否发送成功
				var json = httpRequest.responseText;//获取到服务端返回的数据
				var result = JSON.parse(json);
		        if(success && typeof success == "function") {
		        	success(result);
		        }
			} else {
		    	if(error && typeof error == "function") {
		    		error();
		        }
		    }
	    }
	}
}
/**
 * 处理post请求参数
 * @param param
 * @returns
 */
function getPostParam(param) {
	var keys = Object.keys(param);
	var str = '';
	if(keys.length > 0) {
		keys.forEach(function(key){
			str += '&' + key + '=' + param[key];
		});
		str = str.substring(1);
	}
	return str;
}